ODIS 4.4.10 Review: Test with VAS5054A, Conclusion, Recommendation

Here is my story of Odis 4.4.10.

 

Link: thanks to GUSS shared links at cartechnology.co.uk

 

Vas 5054a and odis 4.4.10:

One of my 2 vas5054a has original amb2300 but does not work with odis-s 4.4.10.
I get a ODS2522E that hardware is not supported. (same as the one without original amb2300)

I have tested amb2300 with softing edic configuration manager. Also tested with PDU api application. All tests ok. Configurator manager did not work with vas5054a without amb2300

vas5054a-odis-4.4.10-error-1

vas5054a-odis-4.4.10-error-2

Then, tested working PDU api and tried to solves the issue however I am not happy with the result. In theory original amb2300 should work.

Tests:
1. 1.20.41 does not work at all with either of my 2 interfaces. So back to 1.20.42
2. Enabled buzzer just to check that my amb2300 is original. Enabled.
3. Tried to connect with bluetooth (amb2300 interface). Laptop connected successfully. Tried to connect odis-s with car and started buzzing continuously and then an error appeared, buzz continued.
In English
there is no mcd project available

I am ditching odis-4.4.10.

Before 4.2.3 test will test 4.3.3 to check if that works, in order to check if the problem is hardware or software.

vas5054a-odis-4.4.10-error-3

Then i was advised to make another folder Softing.ori  put ther new Pdu:

vas5054a-odis-4.4.10-error-solution-1

vas5054a-odis-4.4.10-error-solution-2

vas5054a-odis-4.4.10-error-solution-3

vas5054a-odis-4.4.10-error-solution-4

vas5054a-odis-4.4.10-error-solution-5

Did not work but good try. That made me think that PDU API is the problem.

However found out that VW has locked the D-PDU API directory location (or file names) and managed to install at the 1.20.042 location the 1.20.041 pdu api and renamed 3 files to …..1.20.042 (2 xml 1 dll same as DPDU api test application 3 files mentioned).

now it works, actually tested just vas5054a with fake bluetooth and works.

This is not a straight forward procedure, however after manipulation of D-pdu api (1.20.042 vecom, the 3 files) odis 4.4.10 works.

My amb2300 is original since I have downgraded it to 1.20.041 firmware (with the D-PDU API) test application) however it does not work out of the box with odis 4.4.10. Will test the second one tomorrow.

 

My conclusion:

First, that pdu api directory (file name) is locked.

Second, amb2300 original does  not work as tested. (problem with 1.20.042 pdu API driver specifically Softing/1.20.042/VeCom/VAS5054a files as seen in second solution below).

Other solutions:
1. Test the PDU API 1.20.042 found in odis 4.3.3 (check pdu_api_root.xml is correct 1.20.042)
2. Want to test original 1.20.042 but to replace in vecom vas5054 folder from 1.20.041 folder. (No other changes, check again pdu_api_root.xml is for 1.20.042 )

Test performed:
1. Tested second vas5054a with original amb2300. All tests with usb and bluetooth pass with first solution above. Note in this test I used amb2300 firmware 1.20.041 since I used pdu api 1.20.041 renamed folder to 1.20.042 and 3 files to 1.20.042 as discussed above. Bluetooth works too.

2. Second solution tested with original amb2300. (not tested with clone but most probably will work)
b) reinstall pdu api 1.20.042 pdu api
b) Replace vas5054 folder (from 1.20.041) in softing/1.20.042/vecom/vas5054.
c) update amb2300 firmware to 1.20.042 (this is the difference from solution 1) since I used pdu api 1.20.042.
d) Both usb and bluetooth work. Amazing… I have original amb2300 (but with fake serial number).

vas5054a-odis-4.4

Recommendation:

For newbies, i suggest tested odis from a reliable source: http://www.obdii365.com/wholesale/new-odis-5054a-u-disk.html

The files are full

No need search for launcher, license…and NEVER expired

It’s tested 100% by real pros and confirmed to work no issues

Also, remote help can be got if you have any issue of installation

 

Enjoy!

sales